Department_Create
POST
/v1/departments
const url = 'https://rms.dev.caspeco.net/api/booking/v1/departments';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"id":1,"name":"example","hidden":true,"changeStatus":0}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/departments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "id": 1, "name": "example", "hidden": true, "changeStatus": 0 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
integer format: int64
name
string
hidden
boolean
changeStatus
integer
Responses
Section titled “Responses”Media typeapplication/json
object
id
integer format: int64
name
string
hidden
boolean
changeStatus
integer
Example
{ "changeStatus": 0}